%global libname MogileFS-Client

Name:           perl-%{libname}
Version:        1.14
Release:        1%{?dist}
Summary:        Client library for the MogileFS distributed file system
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/~bradfitz/%{libname}/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DO/DORMANDO/%{libname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl(IO::WrapTie)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a client library for the MogileFS distributed file system.
The class method 'new' creates a client object against a particular
mogilefs tracker and domain. This object may then be used to store and
retrieve content easily from MogileFS.


%prep
%setup -q -n %{libname}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
rm t/10-basics.t
make test


%files
%defattr(-,root,root,-)
%doc CHANGES TODO
%{perl_vendorlib}/MogileFS
%{_mandir}/man3/MogileFS::Client.*


%changelog
* Wed Feb 09 2011 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.14-1
- Upstream released new version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.11-2
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Jun 25 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.11-1
- Upstream released new version

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.08-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.08-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.08-2
- rebuild for new perl

* Thu Aug 09 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.08-1
- Upstream released new version

* Wed Jun 20 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.07-2
- Incorporate suggestions from tibbs in review #240699:
- Remove test which does nothing without a mogilefs server
- Change URL to cpan site

* Sun May 20 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.07-1
- Initial import

